[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TDefCollection.Find

Find an item by name

## Declaration

Source position: db.pas line 160

`public function TDefCollection.Find(`
`const AName: string`
`):TNamedItem;`

## Arguments

`AName` |  | Name to search for in collection.

## Function result

Item matching AName

## Description

Find searches for an item in the collection with name AName and returns the item if it is found. If no item with the requested name is found, Nil is returned. The search is performed case-insensitive.

## Errors

If no item with matching name is found, Nil is returned.

## See also

TNamedItem.Name |  | Name of the item
TDefCollection.IndexOf |  | Find location of item by name

Documentation generated on: Feb 26 2014